corda / net.corda.node.driver / DriverDSL

# DriverDSL

`open class DriverDSL : DriverDSLInternalInterface`

### Types

State | `class State`

### Constructors

<init> | `DriverDSL(portAllocation: PortAllocation, debugPortAllocation: PortAllocation, driverDirectory: Path, useTestClock: Boolean, isDebug: Boolean)`

### Properties

debugPortAllocation | `val debugPortAllocation: PortAllocation`
driverDirectory | `val driverDirectory: Path`
isDebug | `val isDebug: Boolean`
portAllocation | `val portAllocation: PortAllocation`
useTestClock | `val useTestClock: Boolean`

### Functions

registerProcess | `fun registerProcess(process: ListenableFuture<Process>): Unit`
shutdown | `open fun shutdown(): Unit`
start | `open fun start(): Unit`
startNode | `open fun startNode(providedName: String?, advertisedServices: Set<ServiceInfo>, rpcUsers: List<User>, customOverrides: Map<String, Any?>): ListenableFuture<NodeHandle>` Starts a Node in a separate process.
startNotaryCluster | `open fun startNotaryCluster(notaryName: String, clusterSize: Int, type: ServiceType, rpcUsers: List<User>): ListenableFuture<Pair<Party, List<NodeHandle>>>` Starts a distributed notary cluster.
startWebserver | `open fun startWebserver(handle: NodeHandle): ListenableFuture<HostAndPort>` Starts a web server for a node
waitForAllNodesToFinish | `open fun waitForAllNodesToFinish(): Unit`

### Companion Object Properties

name | `val name: Array<String>`

### Companion Object Functions

pickA | `fun <A> pickA(array: Array<A>): A`